    The XSPEC zphabs model: photoelectric absorption.

xszphabs
The xszphabs model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xszphabs", "mdl")
>>> print(mdl)

Create a component of the xszphabs model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.nH thawed 1 0 1e+06 10^22 atoms / cm^2 mdl.redshift frozen 0 -0.999 10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
nH
The equivalent hydrogen column (in units of 10^22 atoms/cm^2).
redshift
The redshift of the absorber.

Notes

The `set_xsxsect` function changes the cross sections used by this model. The `set_xsabund` function changes the relative abundances of the elements.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelPhabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023